apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.frontend.name }}
spec:
  replicas: {{ .Values.frontend.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.frontend.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.frontend.name }}
    spec:
      containers:
        - name: {{ .Values.frontend.name }}
          image: "{{ .Values.frontend.image.repository }}:{{ .Values.frontend.image.tag }}"
          ports:
            - containerPort: {{ .Values.frontend.service.targetPod }}
          env:
            - name: SHIPPING_SERVICE_ADDR
              value: "{{ .Values.shippingservice.name }}:{{ .Values.shippingservice.service.port }}"
            - name: PRODUCT_CATALOG_SERVICE_ADDR
              value: "{{ .Values.productcatalogservice.name }}:{{ .Values.productcatalogservice.service.port }}"
            - name: CART_SERVICE_ADDR
              value: "{{ .Values.cartservice.name }}:{{ .Values.cartservice.service.port }}"
            - name: CURRENCY_SERVICE_ADDR
              value: "{{ .Values.currencyservice.name }}:{{ .Values.currencyservice.service.port }}"
            - name: EMAIL_SERVICE_ADDR
              value: "{{ .Values.emailservice.name }}:{{ .Values.emailservice.service.port }}"
            - name: PAYMENT_SERVICE_ADDR
              value: "{{ .Values.paymentservice.name }}:{{ .Values.paymentservice.service.port }}"
            - name: RECOMMENDATION_SERVICE_ADDR
              value: "{{ .Values.recommendationservice.name }}:{{ .Values.recommendationservice.service.port }}"
            - name: CHECKOUT_SERVICE_ADDR
              value: "{{ .Values.checkoutservice.name }}:{{ .Values.checkoutservice.service.port }}"
            - name: AD_SERVICE_ADDR
              value: "{{ .Values.adservice.name }}:{{ .Values.adservice.service.port }}"
            - name: SHOPPING_ASSISTANT_SERVICE_ADDR
              value: "{{ .Values.shoppingassistant.name }}:{{ .Values.shoppingassistant.service.port }}"
